package cn.estsh.i3plus.ext.mes.pojo.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
@ApiModel("工位扫描日志合并设备日志报表-查询条件封装")
public class MesWorkCellScanMonitorConditionModel {

    @ApiParam(value = "表标识, 1=monitor 2=logdetail")
    private Integer flag;

    @ApiParam(value = "组织代码")
    private String organizeCode;

    @ApiParam(value = "产线")
    private String workCenterCode;

    @ApiParam(value = "工位")
    private String workCellCode;

    @ApiParam(value = "设备ID")
    private String equipId;

    @ApiParam(value = "设备代码")
    private String equipmentCode;

    @ApiParam("设备变量ID")
    private String equipVariableId;

    @ApiParam("设备变量名称")
    private String equipVariableName;

    @ApiParam("开模记录ID")
    private String mouldRecordId;

    @ApiParam("扫描/读取信息")
    private String scanInfo;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("零件条码")
    private String productSn;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("工步代码")
    private String stepCode;

    @ApiParam("日志类型")
    private Integer logType;

    @ApiParam("信息类型")
    private Integer messageType;

    @ApiParam("查询条数")
    private Integer limit;

    @ApiParam("查询时间起始")
    private String createDatetimeStart;

    @ApiParam("查询时间截止")
    private String createDatetimeEnd;

}
